Issue1045

classification
Title: PyBoolean.__tojava__(Object.class) should return a Boolean
Type: behaviour Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: leosoto
Priority: Keywords:

Created on 2008-06-03.20:25:07 by leosoto, last changed 2008-08-10.21:22:02 by leosoto.

Files
File name Uploaded Description Edit Remove
pyboolean-tojava-returning-boolean-by-default.patch leosoto, 2008-06-03.20:25:06
Messages
msg3221 (view) Author: Leonardo Soto (leosoto) Date: 2008-06-03.20:25:05
Currently, pyBoolean.__tojava__(Object.class) returns an Integer instance.

The patch changes that, and make some minor changes of style for
consistence.
msg3313 (view) Author: Leonardo Soto (leosoto) Date: 2008-07-01.21:35:28
Patch applied on r4832 (asm branch).
History
Date User Action Args
2008-08-10 21:22:02leosotosetstatus: open -> closed
resolution: fixed
2008-07-01 21:35:28leosotosetmessages: + msg3313
2008-06-03 20:25:07leosotocreate